#
# spec file for package obs-server-macros
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obs-server-macros
Summary:        Macros required by Open Build Service on Fedora/RHEL
License:        GPL-2.0-only OR GPL-3.0-only
Group:          Productivity/Networking/Web/Utilities
Version:        0.0.1
Release:        3%{?dist}.5
URL:            http://www.openbuildservice.org
Source0:        macros.obs-server
BuildArch:      noarch

%if 0%{?suse_version}
ExclusiveArch:  not_needed
%endif

%description
This package contains all the necessary tools for upload images to the cloud.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm/macros.d
install -m 644 %{S:0} $RPM_BUILD_ROOT/usr/lib/rpm/macros.d/macros.obs-server

%files
%defattr(-,root,root)
%attr(644, root, root) /usr/lib/rpm/macros.d/macros.obs-server

%changelog
* Mon Aug  8 2022 Oleg Girko <ol@infoserver.lv>
- implement service_del_postun -r option
* Mon Aug  8 2022 Oleg Girko <ol@infoserver.lv>
- add %%_restart_on_update_reload macro to prevent redefining service_del_postun
* Thu Feb  6 2020 Frank Schreiner <FSchreiner@suse.com>
- added ExclusiveArch for suse to specfile
* Thu Feb  6 2020 Frank Schreiner <FSchreiner@suse.com>
- fixed attributes for macros file
* Fri Jan 24 2020 Frank Schreiner <FSchreiner@suse.com>
- initial version
